List of all members
clan::SHA512_256 Class Reference
clanCore Crypto

SHA-512_256 hash function class. More...

`#include <sha512_256.h>`

## Public Member Functions
Construction
| SHA512_256 ()
| Constructs a SHA-512_256 hash generator. More...
Operations
void | reset ()
| Resets the hash generator. More...
void | set_hmac (const void *key_data, int key_size)
| Enable a HMAC based calculation. More...
void | add (const void *data, int size)
| Adds data to be hashed. More...
void | add (const DataBuffer &data)
| Add. More...
void | calculate ()
| Finalize hash calculation. More...

## Attributes
static const int | hash_size = 32
std::string | get_hash (bool uppercase=false) const
| Returns the calculated hash. More...
void | get_hash (unsigned char out_hash[hash_size]) const
| Get hash. More...

## Detailed Description

SHA-512_256 hash function class.

The documentation for this class was generated from the following file:

- sha512_256.h